﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.

image bg limbo = "bg01_limbo.png"
image bg outlands = "bg02_outlands.png"
image bganim falling = Animation("bg_falling1.png", 0.1, "bg_falling2.png", 0.1, "bg_falling3.png", 0.1, "bg_falling4.png", 0.1)

image harm fall = "char00_falling.png"
image hel smile = "char01_smiling.png"
image tosh norm = "char02_normal.png"

image blarg norm="enem01_blarg.png"

# Declare characters used by this game.
define x = Character('Harmony', color="#c8ffc8", window_left_padding=160, show_side_image=Image("side_harm.png", xalign=0.0, yalign=1.0))
define h = Character('Hel', color="#ff2266", window_left_padding=160, show_side_image=Image("side_hel.png", xalign=0.0, yalign=1.0))
define t = Character('Tosh', color="#6622ff", window_left_padding=160, show_side_image=Image("side_tosh.png", xalign=0.0, yalign=1.0))

define eb = Character('Gelatinous Blarg', color="#ff2222", window_left_padding=160, show_side_image=Image("side_blarg.png", xalign=0.0, yalign=1.0))


# The game starts here.
label start:
    
    scene bg limbo
    
    play music "mus_main.ogg" fadeout 1.0

    "{color=#ccbbbb}They say that when you die, you see a bright light beckoning you into the afterlife.{/color}"

    "{color=#ccbbbb}A guiding beacon leading your way through the hereafter, 
    safe in the knowledge that some higher power is looking out for little old you.{/color}"
    
    "{color=#ccbbbb}Shows what they know.{/color}"
    
    scene bganim falling
    show harm fall
    with dissolve
    
    "{color=#ccbbbb}This is me, Harmony Winters, falling.{/color}"
    
    x "WAAAAAAAAAAAAAAAAaaaaaaAAAAaaaAAAGH!"
    
    "{color=#ccbbbb}Falling beyond time and reason through what very much appears to be Limbo.{/color}"
    
    x "AAAaaaaAAAAAghAAAAAAAAAAAAAAA!"
    
    "{color=#ccbbbb}I fell for so long that I thought I'd keeping falling forever, deeper and deeper into oblivion.{/color}"
    "{color=#ccbbbb}But nothing lasts forever, and seeing the ground looming ever closer, I braced for impact.{/color}"
    
    play sound "crash.ogg"
    scene bg limbo with vpunch
    
    "{color=#ccbbbb}Dead or not, it bloody hurt.{/color}"
    
    scene bg outlands
    with dissolve
    
    x "Augh, my..." 
    x "Well, my everything actually. Lord-O."
    x "Where the f..."
    
    show hel smile at left
    with dissolve
    
    h "That was quite the tumble you took there."
    x "Nngh... What the?"
    h "It's the snakes, isn't it? It's the same every bloody time."
    h "I'm a {color=#ff2222}Gorgon{/color}, 'kay? Turn people to stone, ooga booga, etc. Y'know?"
    x "Errm..."
    h "No worries, you're safe enough. You'd know if I was 'on'."
    h "Though you do look a little petrified."
    x "..."
    h "You think that's funky, check out the Invisigirl wannabe I got with me."
    h "Hey, Tosh! Get a load of Bumbles here."
    
    t "What ARE you jabbering about this time, Hel? I'm trying to get a..."
    show tosh norm at right
    with dissolve
    t "Well I never."
    
    x "Who in the what from the where now?"
    
    t "I think our new friend here's a little lost."
    t "No time to play Little Miss Exposition, so I'll keep it brief."
    t "We need to get back to our F.O.B. You can help, or you can stay here and moulder. You copy?"
    
    x "F.O.B? Moulder? Copy?"
    t "Jesus Christ."
    h "I'd just go with the flow, Fall Gal. You don't wanna linger 'round these parts for too long."
    h "You'd likely come to a slow and/or sticky end." 
    h "Well, I say 'end', it's more 'eternity', yeah?"
    
    t "So what'll it be, you coming?"
    
    menu:
        "Yes":
            jump introy
        
        "No":
            jump intron
            
        "Maybe":
            jump introm
    
    label intron:
         x "Sod this. I can take care of myself."
         t "Your funeral."
         
         scene bg limbo
         with fade
         
         x "It's getting kinda dark. Maybe this wasn't one of my better ideas."
         x "Indeed, it's got 'dead-end deathtrap' written all over it."
         
         "{color=#ff2222}* Faint rustling *{/color}"
         x "Hey, who's out there?"
         
         "{color=#ff2222}* VOID LEVIATHAN appears! *{/color}"
         
         x "Oh."
         x "Bollocks."
         
         "{color=#ff2222}* GAME OVER *{/color}"
         x "Any chance of a do-over?"
         scene bg outlands
         show hel smile at left
         show tosh norm at right
         with dissolve
         jump introy
         
         return
    
    label introm:
        x "Maybe."
        t "Maybes are for babies. Woman up and make the call already."
        jump introy
            
    label introy:
        x "Okay, I'm in."
        
        t "Stellar."
        
        x "So... one question..."
        x "I'm dead, yeah?"
    
        t "Yep. Welcome to the Underworld. Now let's get our mosey on."
        
        scene bg limbo
        with dissolve
        
        "{color=#ccbbbb}So on we went through the blasted landscape of the Underworld. Me, the woman I soon discovered to be {color=#6622ff}Lt. Toshiko Maeda{/color} and the creature 
        that answered only to '{color=#ff2266}Hel{/color}'. Quite the rum bunch.{/color}"
        "{color=#ccbbbb}They were part of some kind of daemon strike team, cut off from their unit in a recent skirmish, trying to make their way back to somewhere less hostile.{/color}"
        "{color=#ccbbbb}Needless to say, we didn't have to wander far to run into some hassle.{/color}"
        
        scene bg outlands
        with dissolve
        
        play music "mus_battle.ogg" fadeout 1.0
        
        show blarg norm
        with dissolve
        
        "{color=#ff2222}* GELATINOUS BLARG appears! *{/color}"
        
        eb "BLARG."
        
        t "Okay rookie, time to show us what you've got."
        x "Sure thing bo... wait, WHAT?"
        t "Kill that Freudian Nightmare over there."
        x "And I kill it with what exactly?"
        h "C'mon Harm, use your noggin. You can do it."
        
        jump blargfight
     
        label blargfight:
            
            menu:
                "Give it a slap":
                    
                    x "I'm gonna serve you up for afters, Jellyman!"
                    
                    play sound "punch.ogg"
                    show blarg norm
                    with hpunch
                    
                    "{color=#ff2222}* HARMONY takes a massive, rushing lunge, connecting with a CRITICAL HIT *{/color}"
                    "{color=#ff2222}* GELATINOUS BLARG wobbles a bit and then settles *{/color}"
                    x "Hmm... Might have to rethink that approach."
                    jump blargfight
                    
                "Give it a ferocious verbal beatdown":
                    
                    x "You know what you are?"
                    eb "Blarg?"
                    x "You're a BIG WILLY HEAD."
                    "{color=#ff2222}* GELATINOUS BLARG is NONPLUSSED *{/color}"
                    t "Think, Harmony! Jellies are impervious to such trifles."
                    
                    jump blargfight
                    
                "Give it the Full Dawkins":
                    
                    x "So, life after death, god, all that guff. That's not very likely, hey?"
                    eb "Blarg?"
                    x "And something like you actually existing - I mean, a sentient jelly that lumbers around in the afterlife? That makes no sense at all if you think about it."
                    x "It'd have to be the work of some mad god. And since there's no god, there can't be Jellymen either."
                    x "So HOW ARE YOU EVEN A THING?"
                    "{color=#ff2222}* GELATINOUS BLARG suffers a MASSIVE EXISTENTIAL CRISIS *{/color}"
                    play sound "arg.ogg"
                    jump blargone
        
        label blargone:
        
            scene bg outlands       
            with dissolve
               
            show hel smile at left        
            show tosh norm at right       
            with dissolve
        
        
            h "YEAH BOYEE! You go girl!"
            t "Hel, I'm going to pretend you never said that, and in the best interests of all concerned we shall never speak of it again."
            h "It felt like a 'go girl' moment. Bah."
            t "And some smart moves from you there, Winters. Sentient jellies are notoriously theologically fickle."
            t "Once the wobble sets in, they're good as done for."
            t "I've embarassed myself with that one. Oh well, on we go."
           
            play music "mus_main.ogg" fadeout 1.0
            
            scene bg limbo
            with fade
            
            "{color=#ccbbbb}On we marched for miles upon miles, or at least it felt like it. The going was slow and the terrain rough and rocky, 
            but the Underworld wasn't without its natural wonders...{/color}"
            t "Quite a view, huh?"
            x "I have to say, it's pretty spectacular, yeah."
            x "The kind of thing an artist would struggle to capture."
            x "Especially if, for example, he was struggling to barely make a 48 hour deadline."
            t "That's unusually specific, Winters."
            x "Just thinkin' out loud is all..."
            t "Maybe give a thought to thinking more quietly."
            x "Copy that."
            h "Look at you, all 'copy that' like you know what it means now. You'll be telling us to 'stay frosty' next."
            x "Keep yer snakes on."
            
            jump finale
            
    label finale:
        
        scene bg outlands 
        show  hel smile at left
        with dissolve
        
        h "Not bad at all, chica. You helped us through quite the scrape there."
        h "Well not really, but it's the thought that counts, y'know?"
        
        show tosh norm at right with dissolve
        t "Yeah, not too shabby."
        t "Though I'm kind of surprised you haven't..."
        scene bg outlands 
        show  hel smile at left
        show tosh norm at right
        with hpunch
        t "Oh, wait a minute, here we go..."
        "{color=#ccbbbb}Strange sensations began to sear through me.{/color}"
        x "Wait, what's happening? Why do I feel so... * glargh *"
        x "Bloody HELLLLLLLL!"
        t "We were all human once, Winters."
        t "Once you've been here a while, you start to find your new... well, you."
        x "NgngngaowaghhYEAOOOOWwww..."
        h "And then your inner daemon works its mojo, just like that."
        t "It might tingle a bit."
        x "YEARRRRRGGGHhhhYa think? Hnngh!"
        
        scene bg limbo 
        with fade
        
        "{color=#ccbbbb}I blacked out as the convulsions took their toll.{/color}"
        "{color=#ccbbbb}And then, as quickly as they had come upon me, they were gone.{/color}"
        
        scene bg outlands 
        show  hel smile at left
        show tosh norm at right
        with fade
        
        h "Ooh..."
        t "Check yourself out, Harmony. The new you, all grown up."
        
        "{color=#ccbbbb}I turned to look at the familiar yet curiously alien reflection before me. Four words came to mind.{/color}"
        
        x "WHAT THE ACTUAL FUCK?"
        
        scene bg limbo with dissolve
        
        "{color=#ff2266}* TO BE CONTINUED *{/color}"
        "A {color=#ff2266}Far From Sleep{/color} Production."
        "Music, Art and Scripting by {color=#ff2266}Jay Griffin.{/color}"
        "Thanks for playing {color=#ff2266}:){/color}"

    return
